PHP Fatal Error: Class undefined: PageTriageMarkAsReviewedPresentationModel
Closed, ResolvedPublic

Description

Noticed this in 1.32.0-wmf.8

#0 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/formatters/EventPresentationModel.php(99): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/formatters/EchoEventFormatter.php(58): EchoEventPresentationModel::factory(EchoEvent, LanguageEn, User)
#2 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/DataOutputFormatter.php(171): EchoEventFormatter->format(EchoEvent)
#3 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/DataOutputFormatter.php(136): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, LanguageEn)
#4 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/api/ApiEchoNotifications.php(265): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, LanguageEn)
#5 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/api/ApiEchoNotifications.php(105): ApiEchoNotifications->getPropList(User, array, array, integer, NULL, string, NULL, boolean, boolean)
#6 /srv/mediawiki/php-1.32.0-wmf.8/extensions/Echo/includes/api/ApiEchoNotifications.php(36): ApiEchoNotifications->getLocalNotifications(array)
#7 /srv/mediawiki/php-1.32.0-wmf.8/includes/api/ApiQuery.php(249): ApiEchoNotifications->execute()
#8 /srv/mediawiki/php-1.32.0-wmf.8/includes/api/ApiMain.php(1581): ApiQuery->execute()
#9 /srv/mediawiki/php-1.32.0-wmf.8/includes/api/ApiMain.php(535): ApiMain->executeAction()
#10 /srv/mediawiki/php-1.32.0-wmf.8/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#11 /srv/mediawiki/php-1.32.0-wmf.8/api.php(83): ApiMain->execute()
#12 /srv/mediawiki/w/api.php(3): include(string)
#13 {main}
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 14 2018, 7:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thcipriani triaged this task as High priority.Jun 14 2018, 7:44 PM

this is spamming the error logs quite a bit, not quite to the level of rollback for 1.32.0-wmf.8, but it's close.

MaxSem claimed this task.Jun 14 2018, 8:11 PM
MaxSem added a project: Community-Tech-Sprint.

Change 440399 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/PageTriage@master] Fix event presentation class names

https://gerrit.wikimedia.org/r/440399

Change 440399 merged by MaxSem:
[mediawiki/extensions/PageTriage@master] Fix event presentation class names

https://gerrit.wikimedia.org/r/440399

Change 440474 had a related patch set uploaded (by Thcipriani; owner: MaxSem):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.8] Fix event presentation class names

https://gerrit.wikimedia.org/r/440474

Change 440475 had a related patch set uploaded (by Thcipriani; owner: MaxSem):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.999] Fix event presentation class names

https://gerrit.wikimedia.org/r/440475

Change 440474 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.8] Fix event presentation class names

https://gerrit.wikimedia.org/r/440474

Mentioned in SAL (#wikimedia-operations) [2018-06-14T21:44:05Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.8/extensions/PageTriage/includes/Hooks.php: [[gerrit:440474|Fix event presentation class names]] T197262 (duration: 00m 52s)

Change 440475 merged by MaxSem:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.999] Fix event presentation class names

https://gerrit.wikimedia.org/r/440475

MaxSem closed this task as Resolved.Jun 14 2018, 9:55 PM
MaxSem moved this task from Ready to Done on the Community-Tech-Sprint board.

Mentioned in SAL (#wikimedia-operations) [2018-06-14T21:56:56Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.999/extensions/PageTriage/includes/Hooks.php: [[gerrit:440475|Fix event presentation class names]] T197262 (duration: 00m 57s)

Vvjjkkii renamed this task from PHP Fatal Error: Class undefined: PageTriageMarkAsReviewedPresentationModel to tzaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: MaxSem; removed: gerritbot, Aklapper.
CommunityTechBot assigned this task to MaxSem.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from tzaaaaaaaa to PHP Fatal Error: Class undefined: PageTriageMarkAsReviewedPresentationModel.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: MaxSem.
Niharika moved this task from Done to Archive on the Community-Tech-Sprint board.Jul 3 2018, 7:38 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 9 2018, 5:30 PM